Skip to main content
POST
/
advertisers
/
{advertiserId}
/
hypotheses
/
{hypothesisId}
/
feedback
Create hypothesis feedback
curl --request POST \
  --url https://api.agentic.scope3.com/api/v2/buyer/advertisers/{advertiserId}/hypotheses/{hypothesisId}/feedback \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "reviewer": "<string>",
  "reaction": "agree",
  "note": "<string>"
}
'
{
  "data": null,
  "error": {
    "code": "<string>",
    "message": "<string>",
    "field": "<string>",
    "details": {}
  }
}

Authorizations

Authorization
string
header
required

API key or access token

Path Parameters

advertiserId
string
required

Unique identifier for the advertiser

Minimum string length: 1
Example:

"12345"

hypothesisId
string
required

Body

application/json
reviewer
string
required
Minimum string length: 1
reaction
enum<string>
required
Available options:
agree,
disagree,
context,
new_hypothesis
note
string
required
Minimum string length: 1
reviewerRole
string
spawnedHypothesisId
string<uuid>
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$

Response

Create hypothesis feedback